Bug 1596892 - LibRaw-0.19.0 is available
Summary: LibRaw-0.19.0 is available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: LibRaw
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1622353 1623132
TreeView+ depends on / blocked
 
Reported: 2018-06-30 00:18 UTC by Upstream Release Monitoring
Modified: 2018-11-22 17:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-22 17:06:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 396121 None None None 2018-08-10 14:06:15 UTC
KDE Software Compilation 397345 None None None 2018-08-10 14:11:18 UTC

Description Upstream Release Monitoring 2018-06-30 00:18:06 UTC
Latest upstream release: 0.19.0
Current version/release in rawhide: 0.18.12-1.fc29
URL: http://www.libraw.org/download

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1709/

Comment 1 Rex Dieter 2018-07-25 16:02:11 UTC
LibRaw-0.19.0 is now in rawhide, but unfortunately, it breaks API a bit, there's at least a few packages that now fail to build, including:
kf5-libkdcraw
krita

Comment 2 Gwyn Ciesla 2018-07-26 13:51:44 UTC
Frustrating. I did not intend to build this until after I'd gone through full build tests of LibRaw's dependencies on my rawhide VM.

However: https://bugzilla.redhat.com/show_bug.cgi?id=1596540

Comment 3 Rex Dieter 2018-07-26 19:54:55 UTC
Any objection to backing out back to 0.18 in the meantime then?

Comment 4 Gwyn Ciesla 2018-07-27 14:54:31 UTC
I'd rather fix the builds. I'm more than willing to do the work to fix things, but I can't install or update packages on my rawhide VM.

Comment 5 Rex Dieter 2018-08-28 14:35:16 UTC
Ping, things are still broken, and F29 Beta freeze is upon us.

Comment 6 Adam Williamson 2018-08-28 21:32:42 UTC
So, we could in theory back this out for F29 still; we'd have to re-re-build the source packages for all of these:

OpenImageIO-0:1.8.12-3.fc29.x86_64
deepin-image-viewer-0:1.2.16.8-3.fc29.x86_64
efl-0:1.21.0-1.fc30.x86_64
elementary-photos-0:0.2.5-4.fc29.x86_64
entangle-0:1.0-7.fc29.x86_64
fotoxx-0:18.07.1-1.fc29.x86_64
freeimage-0:3.18.0-1.fc29.x86_64
gegl03-0:0.3.30-3.fc29.x86_64
gegl04-0:0.4.8-2.fc30.x86_64
gthumb-1:3.6.1-3.fc29.x86_64
indi-gphoto-0:1.7.4-2.fc29.x86_64
luminance-hdr-0:2.5.1-15.fc29.x86_64
kstars-1:2.9.8-1.fc30.x86_64
nomacs-0:3.8.1-0.3.20180223git9b305e2.fc29.x86_64
oyranos-libs-0:0.9.5-27.fc29.x86_64
photoqt-0:1.7.1-3.fc29.x86_64
shotwell-0:0.28.4-2.fc29.x86_64
siril-0:0.9.9-6.fc29.x86_64

and this would require a freeze exception. Otherwise, KDE has busted components...

Comment 7 Rex Dieter 2018-08-28 21:41:59 UTC
A candidate fix was posted today that appears to work as advertised,
https://phabricator.kde.org/D15132

patched builds underway

Comment 8 Gwyn Ciesla 2018-08-29 13:30:43 UTC
Thank you Rex! I think that's all that needed fixing, yes?

Comment 9 Debarshi Ray 2018-11-22 17:06:48 UTC
Fedora 29 shipped with LibRaw-0.19.0. Closing.


Note You need to log in before you can comment on or make changes to this bug.